# SUpload (Screenshot - Upload)

SUpload is an easy to use bash script for taking screenshots and uploading files to a curl supported file host.
Supports SFW and NSFW modes, perfect for shitposting, AND for work!

## Installation

### Debian and Fedora based systems

[deb and rpm files are automatically generated per version.](https://git.volkor.me/Volkor/SUpload/-/tags)

### Everything else

If you're not on a system listed above, you can follow the commands below to install the program manually.

```bash
git clone https://git.volkor.me/Volkor/supload.git
cd SUpload
sudo make install
```

## Dependencies

- bash (this is important)
- curl (needed for actually uploading the file)
- jq (needed to parse the json responses)

## Optional dependencies

- maim OR scrot (optional, needed for screenshots)
- xclip (optional, needed for clipboard)
- libnotify (optional, needed for notifications)

## Usage

You can use `supload -h`, or view it below.

```bash
Usage: supload [OPTIONS] [FILE]

Options:

  -f      Safe for work mode, (uses volkor.me)
  -h      Show this menu
  -o      Automatically open in browser
  -s      Screenshot mode (maim Selection)
  -v      Shows current version of SUpload

Examples:

# Upload test.txt
$ supload test.txt

# Paste from STDIN (pipe from another command)
$ cat test.txt | supload -

# Screenshot
$ supload -s

# Screenshot, and upload to SFW domain, open in new window
$ supload -fos

# Screenshot and debug output
$ supload -Vs
```

## Configuration

The default config is located at /etc/supload.conf, If it exists, it will read from ~/.config/supload/settings.conf. The home config file will take priority.
If you delete this file, it will **NOT** be recreated, you will have to recreate it.
